-- File: archive\db\sql\schemamessages.sql
-- SID: 1.19
-- Date Modified: 01/11/28 13:35:04
--
-- SchemaMessages.sql
--
--   Extended system messages for TM/390 SQL database
--   This is the master file for defining new messages.
--   Conventions:
--     - Base message #:  50001
--     - Each stored procedure should allocate a range of 100 messages at a time.
--     - Do this by simply starting the next 100 series below as required.
--     - Please put a comment above each block of messages to indicate their general purpose.
USE master
GO
SET NOCOUNT ON
GO

-- File discovery messages
EXEC sp_safeaddmessage 50001, 1, 'Received FILE message for existing non-monitored FILE', @lang='us_english'
EXEC sp_safeaddmessage 50002, 2, 'Received FILE message for NEW FILE', @lang='us_english'
GO

-- Messages for asisp_checkclassmatrix
EXEC sp_safeaddmessage 50100, 3, 'CID %s: Error looking up class ''%s''', @lang='us_english'
EXEC sp_safeaddmessage 50101, 3, 'CID %s: Static table %s is missing column _%sMatrix', @lang='us_english'
EXEC sp_safeaddmessage 50102, 3, 'CID %s: Required link table %s does not exist', @lang='us_english'
EXEC sp_safeaddmessage 50103, 3, 'CID %s: Missing %s PropagationMatrix', @lang='us_english'
EXEC sp_safeaddmessage 50104, 3, 'CID %s: Missing containment record for %s PropagationMatrix %d', @lang='us_english'
EXEC sp_safeaddmessage 50105, 3, 'CID %s: containment record for %s PropagationMatrix %d has src_cid=''%s''. Must be ''STCR'' for class matrix.', @lang='us_english'
EXEC sp_safeaddmessage 50106, 3, 'CID %s: containment record for %s PropagationMatrix %d has src_id=%d. Must be 1 for class matrix.', @lang='us_english'
EXEC sp_safeaddmessage 50107, 3, 'CID %s: containment record for %s PropagationMatrix %d marked as deleted.', @lang='us_english'
EXEC sp_safeaddmessage 50108, 3, 'CID %s: Missing link record for %s PropagationMatrix %d', @lang='us_english'
EXEC sp_safeaddmessage 50109, 3, 'CID %s: link record for %s PropagationMatrix %d has src_cid=''%s''. Must be ''STCR'' for class matrix.', @lang='us_english'
EXEC sp_safeaddmessage 50110, 3, 'CID %s: link record for %s PropagationMatrix %d has src_id=%d. Must be 1 for class matrix.', @lang='us_english'
EXEC sp_safeaddmessage 50111, 3, 'CID %s: link record for %s PropagationMatrix %d marked as deleted.', @lang='us_english'
EXEC sp_safeaddmessage 50112, 3, 'CID %s: link record for %s PropagationMatrix %d has link_type=''%s''. Must be ''%s'' for class matrix.', @lang='us_english'
EXEC sp_safeaddmessage 50113, 3, 'CID %s: missing link record for %s PropagationMatrix %d in static table %s.', @lang='us_english'
EXEC sp_safeaddmessage 50114, 3, 'CID %s: badly formed link record ''%s'' for %s PropagationMatrix %d in static table %s.', @lang='us_english'
EXEC sp_safeaddmessage 50115, 3, 'CID %s: %s._%sMatrix has link type ''%s''. Must be ''%s''', @lang='us_english'
EXEC sp_safeaddmessage 50116, 3, 'CID %s: %s._%sMatrix has src_cid ''%s''. Must be ''STCR''', @lang='us_english'
EXEC sp_safeaddmessage 50117, 3, 'CID %s: %s._%sMatrix has src_id %d. Must be 1', @lang='us_english'
EXEC sp_safeaddmessage 50118, 3, 'CID %s: %s._%sMatrix has dst_cid ''%s''. Must be ''PRMX''', @lang='us_english'
EXEC sp_safeaddmessage 50119, 3, 'CID %s: %s._%sMatrix has dst_id %d. Must be 1', @lang='us_english'
EXEC sp_safeaddmessage 50120, 3, 'CID %s: Attempting to fix', @lang='us_english'
EXEC sp_safeaddmessage 50121, 3, 'CID %s: Cannot fix containment record for PRMX %d since link record with different src_cid/src_id pair exists.', @lang='us_english'
EXEC sp_safeaddmessage 50122, 3, 'CID %s: %s Propagation Matrix %d is badly formed Should have 2 Setting/Bucket pairs. Actually has %d.', @lang='us_english'
EXEC sp_safeaddmessage 50123, 3, 'CID %s: bad %s._%sMatrix specification. Should be ''%s'', actually ''%s''', @lang='us_english'
EXEC sp_safeaddmessage 50124, 3, 'CID %s: Error updating static table %s. Rowcount=%d (should be 1).', @lang='us_english'
EXEC sp_safeaddmessage 50125, 3, 'CID %s: %s._%sMatrix has side ''%s''. Must be ''T''', @lang='us_english'
EXEC sp_safeaddmessage 50126, 3, 'CID %s: %s._%sMatrix has side ''%s''. Must be ''T''', @lang='us_english'
EXEC sp_safeaddmessage 50127, 3, 'CID %s: Could not create PropagationMatrix %sMatrix', @lang='us_english'
EXEC sp_safeaddmessage 50128, 3, 'CID %s: Missing PropagationSetting for %sMatrix', @lang='us_english'
EXEC sp_safeaddmessage 50129, 3, 'CID %s: Could not create PropagationSetting %sMatrix/Max', @lang='us_english'
EXEC sp_safeaddmessage 50130, 3, 'CID %s: PropagationSetting %d is not named ''Max''', @lang='us_english'
EXEC sp_safeaddmessage 50131, 3, 'CID %s: Could not update name of PropagationSetting %d', @lang='us_english'
EXEC sp_safeaddmessage 50132, 3, 'CID %s: Missing PropagationBucketArray for %sMatrix/Max/%s', @lang='us_english'
EXEC sp_safeaddmessage 50133, 3, 'CID %s: Could not create PropagationBucketArray %sMatrix/Max/%s', @lang='us_english'
EXEC sp_safeaddmessage 50134, 3, 'CID %s: Could not insert record into %s', @lang='us_english'
EXEC sp_safeaddmessage 50135, 3, 'CID %s: Table %s missing insert trigger', @lang='us_english'
EXEC sp_safeaddmessage 50136, 3, 'CID %s: Could not create insert trigger for table %s', @lang='us_english'
EXEC sp_safeaddmessage 50137, 3, 'CID %s: %sMatrix confirmed', @lang='us_english'
GO

-- Messages for asisp_checkclassmatrices
EXEC sp_safeaddmessage 50200, 1, 'Checking matrices for class %s', @lang='us_english'
EXEC sp_safeaddmessage 50201, 3, '''%s'' is not a valid class id', @lang='us_english'
EXEC sp_safeaddmessage 50202, 3, '''%s'' is an abstract class', @lang='us_english'
EXEC sp_safeaddmessage 50203, 3, 'Class %s does not have matrices', @lang='us_english'
EXEC sp_safeaddmessage 50204, 3, 'Class %s is missing static table %s_S', @lang='us_english'
GO

-- sp_saveobjectdef
EXEC sp_safeaddmessage 50300, 3, 'Object ''%s'' not defined', @lang='us_english'
EXEC sp_safeaddmessage 50301, 3, 'Object ''%s'' not a procedure, trigger, or view', @lang='us_english'
GO

-- sp_recreatesavedobject
EXEC sp_safeaddmessage 50400, 3, 'SavedObjectDef(''%s'', ''%s'') has %d rows. Maximum for sp_recreatesavedobject is %d.', @lang='us_english'
EXEC sp_safeaddmessage 50401, 3, 'SavedObjectDef(''%s'', ''%s'') is not defined.', @lang='us_english'
GO

-- Messages for asisp_insertparentlink
EXEC sp_safeaddmessage 50500, 3, 'asisp_insertparentlink: invalid container link %s, aborting', @lang='us_english'
EXEC sp_safeaddmessage 50501, 3, 'asisp_insertparentlink: no container link from %s to %s, aborting', @lang='us_english'
EXEC sp_safeaddmessage 50502, 3, 'asisp_insertparentlink: could not insert link from %s %d to %s %d, aborting', @lang='us_english'
GO

-- Messages for _CopyObjectsTo
EXEC sp_safeaddmessage 50600, 3, '_CopyObjectsTo: copy to class %s not supported', @lang='us_english'
GO

-- Messages for Process_SA390_StateChange
EXEC sp_safeaddmessage 50700, 3, 'Process_SA390_StateChange: Could not find OS with SMFID ''%s''', @lang='us_english'
EXEC sp_safeaddmessage 50701, 1, '%s %s IS %s', @lang='us_english'
EXEC sp_safeaddmessage 50702, 3, 'Process_SA390_StateChange: Could not undelete object in table %s with cid=%s, id=%d', @lang='us_english'
GO

-- Messages for asisp_processStagedEvents
EXEC sp_safeaddmessage 50800, 1, 'asisp_processStagedEvents: Starting', @lang='us_english'
EXEC sp_safeaddmessage 50801, 1, 'asisp_processStagedEvents: Events: %d. Elapsed: %d sec. E/S: %d.', @lang='us_english'
GO

-- Messages for _CommitNote
EXEC sp_safeaddmessage 50900, 1, 'Note closed at %s due to no owned events', @lang='us_english'
GO

-- Messages FOR GEM Auto LOB processing
-- DO NOT translate message header i.e.,'TBSM4005I:' in the first message
-- Message numbers in sysmessages start from 55000
EXEC sp_safeaddmessage 55000, 1, 'TBSM4005I: No filtering for (%s, %d) and LOBKey (%s)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55001, 1, 'TBSM4006I: The filtering condition (%s) for (%s, %d) and LOBKey (%s) is %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55002, 1, 'TBSM4002I: Creating LOB (at top) for (%s, %d) with label (%s), key (%s) and parent id (%d)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55003, 1, 'TBSM4003I: Creating LOB for (%s, %d) with label (%s), key (%s) and parent id (%d)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55004, 3, 'TBSM2001E: Could not find the parent key (%s) in GEM_LOBLookup when (%s, %d)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55005, 1, 'TBSM4004I: Creating LOB for (%s, %d) with label (%s) and parent id (%d)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55006, 3, 'TBSM2002E: Could not %s LOB as the child id generated by asisp_createLOB is invalid', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55007, 3, 'TBSM2003E: LOB cannot have itself as parent', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55008, 1, 'TBSM: Added LOB %s to existing LOB with key %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55009, 3, 'TBSM: LOB key %s specified does not exist in GEM_LOBLookup', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55010, 1, 'TBSM: Added LOB %s to LOBC', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55011, 1, 'TBSM: Added LOB %s to new LOB %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55012, 1, 'TBSM: Added LOB %s to existing LOB %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55013, 3, 'TBSM: Cannot map instances to Top LOB (LOBC). Must create atleast one level under LOBC.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55014, 1, 'TBSM: Inserted %s-%s to LOB with LOBKey %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55015, 3, 'TBSM: Cannot update as there is more than one entry (in GEM_InstFiltering) with %s-%s and %s %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55016, 1, 'TBSM: All LOBs associated with %s-%s and %s %s are %sd', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55017, 3, 'TBSM: Could not find a LOB to %s with %s-%s and %s %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55018, 3, 'TBSM: LOB key %s specified does not exist in GEM_LOBLookup', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55019, 1, 'TBSM: Inserted %s-%s to existing LOB %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55020, 1, 'TBSM: Inserted %s-%s to new LOB %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55021, 3, 'TBSM3001W: Product (%s) Version (%s) is not defined', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55022, 3, 'TBSM: Could not find LOB %s under %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55023, 3, 'TBSM: There are children under this LOB. Delete the children from TBSM client GUI before deleting the LOB', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55024, 1, 'TBSM: Removed LOB %s from LOB %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55025, 3, 'TBSM: Could not find menuitem %s under %s-%s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55026, 3, 'TBSM: There are children under menuitem %s, so its not deleted', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55027, 1, 'TBSM: Deleted menuitem %s associated with %s-%s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55028, 1, 'TBSM: Updated LOB View (cid=%s, id=%d)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55029, 1, 'TBSM: Class (%s, %s) not defined', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55030, 1, 'TBSM: Could not find a LOB Instance rule [%s, %s, %s, %d] associated with class %s(%s)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55031, 1, 'TBSM: Deleted LOB (%s, %d)', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55032, 1, 'TBSM: Deleted LOB Instance rule [%s, %s, %s, %d]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55033, 1, ' TBSM: <LOB_Id>, <LOB_name>, <parent_LOB_name>', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55034, 1, 'TBSM: Invalid parent LOB id (%d) for %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55035, 1, 'TBSM: Inserted filter [Option: %s, Pattern: %s, Expression: %s, Test: %s] for class %s under [%s, %s, %s, %d]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55036, 1, 'TBSM: Updated filter [Option: %s, Pattern: %s, Expression: %s, Test: %s] for class %s under [%s, %s, %s, %d]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55037, 1, 'TBSM: Added class %s(%s) under LOB Instance [%s, %s, %s, %d] with filter [Option: %s, Pattern: %s, Expression: %s, Test: %s]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55038, 1, ' TBSM: <%s_Id>, <%s_name>, <LOB_Id>, <LOB_name>', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55039, 1, 'TBSM: Insufficient information provided in rule to identify a parent LOB instance', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55040, 1, 'TBSM: Name of child LOB should be provided to define the rule [use -d option]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55041, 1, 'TBSM: Deleted all filtering conditions for class %s under LOB Instance rule [%s, %s, %s, %d]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55042, 1, 'TBSM: LOB with label %s already exists under LOB Instance rule [%s, %s, %s, %d]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55043, 1, 'TBSM: Locale [%s] not defined in the database', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55044, 1, 'TBSM: Invalid input [%s=%s]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55045, 1, 'TBSM: Rename failed as Class (%s, %s) label in locale [%s] does not exist', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 55046, 1, 'TBSM: Renamed Class label (%s, %s) in locale [%s] to %s', @replace='REPLACE', @lang='us_english'
GO


-- 'SMS Storage': starts at 56000
EXEC sp_safeaddmessage 56000, 1, 'SYSPLEXES', @lang='us_english' -- used by asisp_getSysplexOS
EXEC sp_safeaddmessage 56001, 1, 'Storage Complexes', @lang='us_english' -- used by asisp_getStorageComplexes
EXEC sp_safeaddmessage 56101, 1, /* DPE01 */ 'I/O activity rate exceeds threshold. The rate is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56102, 1, /* DPE02 */ 'I/O intensity rate exceeds threshold. The rate is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56103, 1, /* DPE03 */ 'I/O response time exceeds threshold. The response time is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56104, 1, /* DPE04 */ 'IOS queue time exceeds threshold. The queue time is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56105, 1, /* DPE05 */ 'Pending time exceeds threshold. The pending time is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56107, 1, /* DPE06 */ 'Connect time exceeds threshold. The connect time is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56106, 1, /* DPE07 */ 'Disconnect time exceed threshold. The disconnect time is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56109, 1, /* DPE08 */ 'Device busy delay exceeds threshold.  The delay is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56108, 1, /* DPE09 */ 'CU busy delay exceeds threshold. The delay is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56110, 1, /* DPE10 */ 'Dir port busy delay exceeds threshold. The delay is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56111, 1, /* DPE11 */ 'Percent not ready exceeds threshold. The percentage is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56112, 1, /* DPE12 */ 'Percent reserved exceeds threshold. The percentage is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56201, 1, /* CPE01 */ 'Device caching status is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56202, 1, /* CPE02 */ 'DFW device status is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56203, 1, /* CPE03 */ 'Duplex pair status is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56204, 1, /* CPE04 */ 'Pinned data status is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56205, 1, /* CPE05 */ 'I/O activity rate exceeds threshold.  The rate is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56206, 1, /* CPE06 */ 'Percent read requests below threshold.  The percentage is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56207, 1, /* CPE07 */ 'Read Hit ratio below threshold. The ratio is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56208, 1, /* CPE08 */ 'Write Hit ratio below threshold. The ratio is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56209, 1, /* CPE09 */ 'Total cache hit ratio below threshold. The ratio is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56211, 1, /* CPE10 */ 'Cache Bypass percent exceeds threshold. The percent %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56212, 1, /* CPE11 */ 'Cache Inhibit percent exceeds thresholds. The percent %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56210, 1, /* CPE12 */ 'Fast write ratio below threshold. The ratio is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56301, 1, /* DSE01 */ 'Percent Free space below threshold. The percentage is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56302, 1, /* DSE02 */ 'Free space KB below threshold. The free space is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56303, 1, /* DSE03 */ 'Allocated space KB exceeds threshold. The allocated space is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56304, 1, /* DSE04 */ 'Fragmentation index exceeds threshold. The index is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56305, 1, /* DSE05 */ 'Largest Free extent below threshold. The largest free extent is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56306, 1, /* DSE06 */ '# of free extents below threshold. The # of free extents is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56307, 1, /* DSE07 */ '# of free DSCBs below threshold. The # of free DSCBs is %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 56308, 1, /* DSE08 */ '# of free VIRs below threshold. The # of free VIRs is %s.', @replace='REPLACE', @lang='us_english'
GO

-- HSM messages
EXEC sp_safeaddmessage 57001, 1, 'HSM is not active', @replace='REPLACE', @lang='us_english' /* HMT condition MON0001 */
EXEC sp_safeaddmessage 57002, 1, 'HSM is in emergency mode', @replace='REPLACE', @lang='us_english' /* HMT condition MON0002 */
EXEC sp_safeaddmessage 57003, 1, 'HSM processing errors have occurred', @replace='REPLACE', @lang='us_english' /* HMT condition MON0003 */
EXEC sp_safeaddmessage 57011, 1, 'ABACKUP function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0011 */
EXEC sp_safeaddmessage 57012, 1, 'ARECOVER function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0012 */
EXEC sp_safeaddmessage 57013, 1, 'Audit Function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0013 */
EXEC sp_safeaddmessage 57014, 1, 'Auto Migration function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0014 */
EXEC sp_safeaddmessage 57015, 1, 'Backup functions are held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0015 */
EXEC sp_safeaddmessage 57016, 1, 'Automatic backup is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0016 */
EXEC sp_safeaddmessage 57017, 1, 'All dump functions are held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0017 */
EXEC sp_safeaddmessage 57018, 1, 'Automatic dump is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0018 */
EXEC sp_safeaddmessage 57019, 1, 'Expire backup versions function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0019 */
EXEC sp_safeaddmessage 57020, 1, 'List function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0020 */
EXEC sp_safeaddmessage 57021, 1, 'Log function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0021 */
EXEC sp_safeaddmessage 57022, 1, 'All migration functions are held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0022 */
EXEC sp_safeaddmessage 57023, 1, 'All recall functions are held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0023 */
EXEC sp_safeaddmessage 57024, 1, 'All tape recall functions are held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0024 */
EXEC sp_safeaddmessage 57025, 1, 'All TSO tape recalls are held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0025 */
EXEC sp_safeaddmessage 57026, 1, 'All recover and restore functions are held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0026 */
EXEC sp_safeaddmessage 57027, 1, 'All tape recover and restore funct are held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0027 */
EXEC sp_safeaddmessage 57028, 1, 'Recycle function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0028 */
EXEC sp_safeaddmessage 57029, 1, 'Report function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0029 */
EXEC sp_safeaddmessage 57030, 1, 'Tape copy function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0030 */
EXEC sp_safeaddmessage 57031, 1, 'Tape replace function is held', @replace='REPLACE', @lang='us_english' /* HMT condition MON0031 */
EXEC sp_safeaddmessage 57032, 1, 'Log data set is inhibited', @replace='REPLACE', @lang='us_english' /* HMT condition MON0032 */
EXEC sp_safeaddmessage 57033, 1, 'Journaling is inhibited', @replace='REPLACE', @lang='us_english' /* HMT condition MON0033 */
EXEC sp_safeaddmessage 57034, 1, 'Logging is inhibited', @replace='REPLACE', @lang='us_english' /* HMT condition MON0034 */
EXEC sp_safeaddmessage 57035, 1, 'PDA function is disabled', @replace='REPLACE', @lang='us_english' /* HMT condition MON0035 */
EXEC sp_safeaddmessage 57041, 1, 'Free space below 16 MB less than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0041 */
EXEC sp_safeaddmessage 57042, 1, 'Largest space below 16 MB less than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0042 */
EXEC sp_safeaddmessage 57043, 1, 'Second Largest space below 16 MB less than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0043 */
EXEC sp_safeaddmessage 57044, 1, 'Free space above 16 MB less than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0044 */
EXEC sp_safeaddmessage 57045, 1, 'Largest space above 16 MB less than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0045 */
EXEC sp_safeaddmessage 57046, 1, 'Second largest space above 16 MB less than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0046 */
EXEC sp_safeaddmessage 57051, 1, 'Recall MWEs greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0051 */
EXEC sp_safeaddmessage 57052, 1, 'Migrate MWEs greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0052 */
EXEC sp_safeaddmessage 57053, 1, 'Backup MWEs greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0053 */
EXEC sp_safeaddmessage 57054, 1, 'Operator MWEs greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0054 */
EXEC sp_safeaddmessage 57055, 1, 'General MWEs greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0055 */
EXEC sp_safeaddmessage 57056, 1, 'CSA MWEs greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0056 */
EXEC sp_safeaddmessage 57057, 1, 'Wait recall greater than threshold # 2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0057 */
EXEC sp_safeaddmessage 57058, 1, 'Wait recall greater than threshold # 1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0058 */
EXEC sp_safeaddmessage 57059, 1, 'No wait recall greater than threshold #2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0059 */
EXEC sp_safeaddmessage 57060, 1, 'No wait recall greater than threshold #1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0060 */
EXEC sp_safeaddmessage 57061, 1, 'Users have more recalls than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0061 */
EXEC sp_safeaddmessage 57062, 1, 'Users have more deletes than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0062 */
EXEC sp_safeaddmessage 57071, 1, 'ML1 queue time is greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0071 */
EXEC sp_safeaddmessage 57072, 1, 'ML1 allocate time is greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0072 */
EXEC sp_safeaddmessage 57073, 1, 'ML1 process time is greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0073 */
EXEC sp_safeaddmessage 57074, 1, 'ML2 queue time is greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0074 */
EXEC sp_safeaddmessage 57075, 1, 'ML2 allocate time is greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0075 */
EXEC sp_safeaddmessage 57076, 1, 'ML2 process time is greater than threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0076 */
EXEC sp_safeaddmessage 57081, 1, 'MCDS size exceeds high threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0081 */
EXEC sp_safeaddmessage 57082, 1, 'MCDS size exceeds mid threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0082 */
EXEC sp_safeaddmessage 57083, 1, 'MCDS size exceeds low threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0083 */
EXEC sp_safeaddmessage 57084, 1, 'BCDS size exceeds high threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0084 */
EXEC sp_safeaddmessage 57085, 1, 'BCDS size exceeds mid threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0085 */
EXEC sp_safeaddmessage 57086, 1, 'BCDS size exceeds low threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0086 */
EXEC sp_safeaddmessage 57087, 1, 'OCDS size exceeds high threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0087 */
EXEC sp_safeaddmessage 57088, 1, 'OCDS size exceeds mid threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0088 */
EXEC sp_safeaddmessage 57089, 1, 'OCDS size exceeds low threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0089 */
EXEC sp_safeaddmessage 57090, 1, 'Journal exceeds high threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0090 */
EXEC sp_safeaddmessage 57091, 1, 'Journal size exceeds mid threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0091 */
EXEC sp_safeaddmessage 57092, 1, 'Journal size exceeds low threshold', @replace='REPLACE', @lang='us_english' /* HMT condition MON0092 */
EXEC sp_safeaddmessage 57121, 1, 'PSM Volumes > 25%, volumes < 10% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0121 */
EXEC sp_safeaddmessage 57122, 1, 'PSM Volumes > 25%, volumes < 20% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0122 */
EXEC sp_safeaddmessage 57123, 1, 'PSM Volumes > 25%, volumes < 25% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0123 */
EXEC sp_safeaddmessage 57124, 1, 'PSM Volumes > 50%, volumes < 30% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0124 */
EXEC sp_safeaddmessage 57125, 1, 'PSM Volumes > 50%, volumes < 40% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0125 */
EXEC sp_safeaddmessage 57126, 1, 'PSM Volumes > 50%, volumes < 50% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0126 */
EXEC sp_safeaddmessage 57127, 1, 'PSM Volumes > 75%, volumes < 50% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0127 */
EXEC sp_safeaddmessage 57128, 1, 'PSM Volumes > 75%, volumes < 60% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0128 */
EXEC sp_safeaddmessage 57129, 1, 'PSM Volumes > 75%, volumes < 75% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0129 */
EXEC sp_safeaddmessage 57130, 1, 'PSM volume time > volume process time  thresh 1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0130 */
EXEC sp_safeaddmessage 57131, 1, 'PSM volume time > volume process time  thresh 2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0131 */
EXEC sp_safeaddmessage 57135, 1, 'PSM dataset time > dataset process time  thresh 1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0135 */
EXEC sp_safeaddmessage 57136, 1, 'PSM dataset time > dataset process time  thresh 2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0136 */
EXEC sp_safeaddmessage 57235, 1, 'SSM volume time > volume process time  thresh 1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0235 */
EXEC sp_safeaddmessage 57236, 1, 'SSM volume time > volume process time  thresh 2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0236 */
EXEC sp_safeaddmessage 57330, 1, 'ISM dataset time > dataset process time  thresh 1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0330 */
EXEC sp_safeaddmessage 57331, 1, 'ISM dataset time > dataset process time  thresh 2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0331 */
EXEC sp_safeaddmessage 57421, 1, 'AB window > 25%, volumes < 10% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0421 */
EXEC sp_safeaddmessage 57422, 1, 'AB window > 25%, volumes < 20% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0422 */
EXEC sp_safeaddmessage 57423, 1, 'AB window > 25%, volumes < 25% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0423 */
EXEC sp_safeaddmessage 57424, 1, 'AB window > 50%, volumes < 30% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0424 */
EXEC sp_safeaddmessage 57425, 1, 'AB window > 50%, volumes < 40% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0425 */
EXEC sp_safeaddmessage 57426, 1, 'AB window > 50%, volumes < 50% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0426 */
EXEC sp_safeaddmessage 57427, 1, 'AB window > 75%, volumes < 50% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0427 */
EXEC sp_safeaddmessage 57428, 1, 'AB window > 75%, volumes < 60% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0428 */
EXEC sp_safeaddmessage 57429, 1, 'AB window > 75%, volumes < 75% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0429 */
EXEC sp_safeaddmessage 57430, 1, 'AB volume time > volume process time  thresh 1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0430 */
EXEC sp_safeaddmessage 57431, 1, 'AB volume time > volume process time  thresh 2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0431 */
EXEC sp_safeaddmessage 57435, 1, 'AB dataset time > dataset process time  thresh 1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0435 */
EXEC sp_safeaddmessage 57436, 1, 'AB dataset time > dataset process time  thresh 2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0436 */
EXEC sp_safeaddmessage 57521, 1, 'AD window > 25%, volumes < 10% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0521 */
EXEC sp_safeaddmessage 57522, 1, 'AD window > 25%, volumes < 20% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0522 */
EXEC sp_safeaddmessage 57523, 1, 'AD window > 25%, volumes < 25% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0523 */
EXEC sp_safeaddmessage 57524, 1, 'AD window > 50%, volumes < 30% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0524 */
EXEC sp_safeaddmessage 57525, 1, 'AD window > 50%, volumes < 40% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0525 */
EXEC sp_safeaddmessage 57526, 1, 'AD window > 50%, volumes < 50% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0526 */
EXEC sp_safeaddmessage 57527, 1, 'AD window > 75%, volumes < 50% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0527 */
EXEC sp_safeaddmessage 57528, 1, 'AD window > 75%, volumes < 60% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0528 */
EXEC sp_safeaddmessage 57529, 1, 'AD window > 75%, volumes < 75% done', @replace='REPLACE', @lang='us_english' /* HMT condition MON0529 */
EXEC sp_safeaddmessage 57530, 1, 'AD volume time > volume process time  thresh 1', @replace='REPLACE', @lang='us_english' /* HMT condition MON0530 */
EXEC sp_safeaddmessage 57531, 1, 'AD volume time > volume process time  thresh 2', @replace='REPLACE', @lang='us_english' /* HMT condition MON0531 */
GO

-- tU_BATCH_C, RecordBatchCurrentStateChange, _PollForCompletedSchedules, _LoadOPCPlan
EXEC sp_safeaddmessage 58001, 1, 'Job %s reset due to change in scheduled start time. Old=[%s], New=[%s]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 58002, 1, 'Job %s\%s started at [%s]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 58003, 1, 'ALL OPERATIONS IN APPLICATION [%s] COMPLETED AS OF [%s]', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 58004, 1, 'Aborting OPC load due to error copying data to Object database', @lang='us_english'
GO

-- messages for format type 8 action type 4 (OPC OPERATION_EXCEPTION) and action type 3 (OPC OPC_EXCEPTION) events
EXEC sp_safeaddmessage 59001, 1, 'JOB %s(%s) ENDED IN ERROR %s. APPL = %s, WORK STATION = %s, IA = %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59002, 1, 'JOB %s(%s), IN APPLICATION %s, IS LATE, WORK STATION = %s, IA = %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59003, 1, 'LONG DURATION FOR JOB %s(%s),  IN APPLICATION %s, WORK STATION = %s, IA = %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59004, 1, 'LONG TIME ON INPUT QUEUE FOR JOB %s(%s), APPL = %s, WORKSTATION = %s, IA = %s', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59005, 1, 'OPERATION %s %s_%s, %s IA %s HAS WAITED FOR RESOURCE %s FOR %s MINUTES', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59006, 1, 'OPC/ESA SUBTASK %s ENDED UNEXPECTEDLY', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59007, 1, '%s %% OF QUEUE %s IN USE', @replace='REPLACE', @lang='us_english'
GO

-- messages for Batch Long Duration other then OPC
EXEC sp_safeaddmessage 59011, 1, 'LONG DURATION FOR %s BATCH JOB %s, STOP TIME = %s.', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59012, 1, 'LONG DURATION FOR %s BATCH JOB %s, MUST END TIME = %s.', @replace='REPLACE', @lang='us_english'

-- asisp_processStagedDB2_SUB_DOWNs, asisp_processStagedDB2_MESGs
EXEC sp_safeaddmessage 59100, 1, 'DB2 SUBSYSTEM [%s](%d) IS DOWN', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59101, 1, 'DB2 SUBSYSTEM [%s](%d) IS DOWN', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59102, 1, 'DB2 SUBSYSTEM [%s](%d) IS UP',   @replace='REPLACE', @lang='us_english'
GO

-- asisp_lookupCICSCommandVars, _QueryState
EXEC sp_safeaddmessage 59200, 1, 'Cannot issue CICS command on object %s %d since 
it is not linked to CICS-related object!', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59201, 1, 'Cannot find CICSPlex information for class %s!', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59202, 1, 'Object %s %d is not in a CICSPlex.
Cannot execute commands!', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59203, 1, 'Cannot find task server for object %s %d since it is not known to be running anywhere.
Cannot execute commands!', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59204, 1, 'No task server defined for OS [%s].
Cannot execute commands!', @replace='REPLACE', @lang='us_english'
EXEC sp_safeaddmessage 59205, 1, 'QueryState method is not supported for class %s.', @replace='REPLACE', @lang='us_english'
GO


--------------------------------------------------------------------------------------
PRINT 'Done.'
GO
